Bug 1789150 - YAML snippets aren't showing up when editing resources, only on create
Summary: YAML snippets aren't showing up when editing resources, only on create
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1789139
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-08 21:37 UTC by Samuel Padgett
Modified: 2020-02-19 05:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789139
Environment:
Version: 4.3.0-0.ci-2020-01-06-064249 Cluster ID: 81c71baf-8074-4b83-b502-7750c312bb3f Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:71.0) Gecko/20100101 Firefox/71.0
Last Closed: 2020-02-19 05:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 3902 0 None closed [release-4.3] Bug 1789150: support snippets in edit mode, not just create 2020-02-13 20:57:42 UTC
Red Hat Product Errata RHBA-2020:0492 0 None None None 2020-02-19 05:40:02 UTC

Description Samuel Padgett 2020-01-08 21:37:47 UTC
+++ This bug was initially created as a clone of Bug #1789139 +++

ConsoleYAMLSamples with `snippet: true` should show up in the YAML editor for existing resources, not only on create. (Samples that don't have `snippet: true` should *not* show up for existing editors since they would replace the entire resource.)

Comment 2 shahan 2020-02-07 07:20:25 UTC
1. create sampleConsoleYAMLSamples with `snippet: true` for job
2. Check on the resource's yaml sidebar, there is snippet shown up.
3. click insert snippet, it will add into editor.
4.3.0-0.nightly-2020-02-07-003021

Comment 4 errata-xmlrpc 2020-02-19 05:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0492


Note You need to log in before you can comment on or make changes to this bug.